# std::promise< void > Class Template Reference
[Futures]

Explicit specialization for promise<void> More...

List of all members.

## Public Member Functions

- promise (promise &&__rhs)
- promise (const promise &)
- future< void > get_future ()
- promise & operator= (promise &&__rhs)
- promise & operator= (const promise &)
- void set_exception (exception_ptr __p)
- void set_value ()
- void swap (promise &__rhs)

## Friends

- class _State::_Setter

## Detailed Description

### template<>
class std::promise< void >

Explicit specialization for promise<void>

Definition at line 993 of file future.

The documentation for this class was generated from the following file:

- future